﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан программой.
//     Исполняемая версия:4.0.30319.42000
//
//     Изменения в этом файле могут привести к неправильной работе и будут потеряны в случае
//     повторной генерации кода.
// </auto-generated>
//------------------------------------------------------------------------------

using System.Xml.Serialization;

// 
// Этот исходный код был создан с помощью xsd, версия=4.6.1055.0.
// 
namespace SignatureHelper.ClassesFromXSD.lonelyChildren.xsd
{
    public class LonelyChildren
    {

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/msg/10.21.S/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute(Namespace = "urn://egisso-ru/msg/10.21.S/1.0.1", IsNullable = false)]
        public partial class data
        {

            private tPackage packageField;

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn://egisso-ru/types/package-RAR/1.0.1")]
            public tPackage package
            {
                get
                {
                    return this.packageField;
                }
                set
                {
                    this.packageField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAR/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("package", Namespace = "urn://egisso-ru/types/package-RAR/1.0.1", IsNullable = false)]
        public partial class tPackage
        {

            private string packageIdField;

            private tPackageElements elementsField;

            /// <remarks/>
            public string packageId
            {
                get
                {
                    return this.packageIdField;
                }
                set
                {
                    this.packageIdField = value;
                }
            }

            /// <remarks/>
            public tPackageElements elements
            {
                get
                {
                    return this.elementsField;
                }
                set
                {
                    this.elementsField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/package-RAR/1.0.1")]
        public partial class tPackageElements
        {

            private tChildNeedHouse[] childNeedHouseRightField;

            private tExclusionChildNeedHouse[] exclusionChildNeedHouseRightField;

            private tRightInvalidation[] invalidationAssignmentRightField;

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute("childNeedHouseRight")]
            public tChildNeedHouse[] childNeedHouseRight
            {
                get
                {
                    return this.childNeedHouseRightField;
                }
                set
                {
                    this.childNeedHouseRightField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute("exclusionChildNeedHouseRight")]
            public tExclusionChildNeedHouse[] exclusionChildNeedHouseRight
            {
                get
                {
                    return this.exclusionChildNeedHouseRightField;
                }
                set
                {
                    this.exclusionChildNeedHouseRightField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute("invalidationAssignmentRight")]
            public tRightInvalidation[] invalidationAssignmentRight
            {
                get
                {
                    return this.invalidationAssignmentRightField;
                }
                set
                {
                    this.invalidationAssignmentRightField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/childneedhouse-right/1.0.1")]
        public partial class tChildNeedHouse
        {

            private string uuidField;

            private string codeMSZField;

            private string categoryMSZField;

            private string snilsField;

            private string lastNameField;

            private string firstNameField;

            private string middleNameField;

            private System.DateTime birthDayField;

            private System.DateTime registryDateField;

            private string reasonCodeField;

            private string snilsRepresentField;

            private string codeOrgField;

            private string applicationMethodField;

            private tSimpleDoc actField;

            private System.DateTime firstActionDateField;

            private bool firstActionDateFieldSpecified;

            private System.DateTime reasonDateField;

            private tDoc npa18yoField;

            private string assignmentRightUuidField;

            private string assignmentRightProviderCodeField;

            private System.DateTime lastChangingField;

            /// <remarks/>
            public string uuid
            {
                get
                {
                    return this.uuidField;
                }
                set
                {
                    this.uuidField = value;
                }
            }

            /// <remarks/>
            public string codeMSZ
            {
                get
                {
                    return this.codeMSZField;
                }
                set
                {
                    this.codeMSZField = value;
                }
            }

            /// <remarks/>
            public string categoryMSZ
            {
                get
                {
                    return this.categoryMSZField;
                }
                set
                {
                    this.categoryMSZField = value;
                }
            }

            /// <remarks/>
            public string snils
            {
                get
                {
                    return this.snilsField;
                }
                set
                {
                    this.snilsField = value;
                }
            }

            /// <remarks/>
            public string lastName
            {
                get
                {
                    return this.lastNameField;
                }
                set
                {
                    this.lastNameField = value;
                }
            }

            /// <remarks/>
            public string firstName
            {
                get
                {
                    return this.firstNameField;
                }
                set
                {
                    this.firstNameField = value;
                }
            }

            /// <remarks/>
            public string middleName
            {
                get
                {
                    return this.middleNameField;
                }
                set
                {
                    this.middleNameField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime birthDay
            {
                get
                {
                    return this.birthDayField;
                }
                set
                {
                    this.birthDayField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime registryDate
            {
                get
                {
                    return this.registryDateField;
                }
                set
                {
                    this.registryDateField = value;
                }
            }

            /// <remarks/>
            public string reasonCode
            {
                get
                {
                    return this.reasonCodeField;
                }
                set
                {
                    this.reasonCodeField = value;
                }
            }

            /// <remarks/>
            public string snilsRepresent
            {
                get
                {
                    return this.snilsRepresentField;
                }
                set
                {
                    this.snilsRepresentField = value;
                }
            }

            /// <remarks/>
            public string codeOrg
            {
                get
                {
                    return this.codeOrgField;
                }
                set
                {
                    this.codeOrgField = value;
                }
            }

            /// <remarks/>
            public string applicationMethod
            {
                get
                {
                    return this.applicationMethodField;
                }
                set
                {
                    this.applicationMethodField = value;
                }
            }

            /// <remarks/>
            public tSimpleDoc act
            {
                get
                {
                    return this.actField;
                }
                set
                {
                    this.actField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime firstActionDate
            {
                get
                {
                    return this.firstActionDateField;
                }
                set
                {
                    this.firstActionDateField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlIgnoreAttribute()]
            public bool firstActionDateSpecified
            {
                get
                {
                    return this.firstActionDateFieldSpecified;
                }
                set
                {
                    this.firstActionDateFieldSpecified = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime reasonDate
            {
                get
                {
                    return this.reasonDateField;
                }
                set
                {
                    this.reasonDateField = value;
                }
            }

            /// <remarks/>
            public tDoc npa18yo
            {
                get
                {
                    return this.npa18yoField;
                }
                set
                {
                    this.npa18yoField = value;
                }
            }

            /// <remarks/>
            public string assignmentRightUuid
            {
                get
                {
                    return this.assignmentRightUuidField;
                }
                set
                {
                    this.assignmentRightUuidField = value;
                }
            }

            /// <remarks/>
            public string assignmentRightProviderCode
            {
                get
                {
                    return this.assignmentRightProviderCodeField;
                }
                set
                {
                    this.assignmentRightProviderCodeField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime lastChanging
            {
                get
                {
                    return this.lastChangingField;
                }
                set
                {
                    this.lastChangingField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/childneedhouse-right/1.0.1")]
        public partial class tSimpleDoc
        {

            private string docNumberField;

            private System.DateTime docDateField;

            private bool docDateFieldSpecified;

            /// <remarks/>
            public string docNumber
            {
                get
                {
                    return this.docNumberField;
                }
                set
                {
                    this.docNumberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime docDate
            {
                get
                {
                    return this.docDateField;
                }
                set
                {
                    this.docDateField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlIgnoreAttribute()]
            public bool docDateSpecified
            {
                get
                {
                    return this.docDateFieldSpecified;
                }
                set
                {
                    this.docDateFieldSpecified = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAR/1.0.1")]
        public partial class tRightInvalidation
        {

            private string uuidField;

            private string assignmentRightUuidField;

            private string assignmentRightProviderCodeField;

            private System.DateTime lastChangingField;

            /// <remarks/>
            public string uuid
            {
                get
                {
                    return this.uuidField;
                }
                set
                {
                    this.uuidField = value;
                }
            }

            /// <remarks/>
            public string assignmentRightUuid
            {
                get
                {
                    return this.assignmentRightUuidField;
                }
                set
                {
                    this.assignmentRightUuidField = value;
                }
            }

            /// <remarks/>
            public string assignmentRightProviderCode
            {
                get
                {
                    return this.assignmentRightProviderCodeField;
                }
                set
                {
                    this.assignmentRightProviderCodeField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime lastChanging
            {
                get
                {
                    return this.lastChangingField;
                }
                set
                {
                    this.lastChangingField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/childneedhouse-right/1.0.1")]
        public partial class tExclusionChildNeedHouse
        {

            private string uuidField;

            private System.DateTime exclusionDateField;

            private string reasonCodeField;

            private tDoc reasonDataField;

            private string codeOrgField;

            private string applicationMethodField;

            private tSimpleDoc actField;

            private string assignmentRightUuidField;

            private string assignmentRightProviderCodeField;

            private System.DateTime lastChangingField;

            /// <remarks/>
            public string uuid
            {
                get
                {
                    return this.uuidField;
                }
                set
                {
                    this.uuidField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime exclusionDate
            {
                get
                {
                    return this.exclusionDateField;
                }
                set
                {
                    this.exclusionDateField = value;
                }
            }

            /// <remarks/>
            public string reasonCode
            {
                get
                {
                    return this.reasonCodeField;
                }
                set
                {
                    this.reasonCodeField = value;
                }
            }

            /// <remarks/>
            public tDoc reasonData
            {
                get
                {
                    return this.reasonDataField;
                }
                set
                {
                    this.reasonDataField = value;
                }
            }

            /// <remarks/>
            public string codeOrg
            {
                get
                {
                    return this.codeOrgField;
                }
                set
                {
                    this.codeOrgField = value;
                }
            }

            /// <remarks/>
            public string applicationMethod
            {
                get
                {
                    return this.applicationMethodField;
                }
                set
                {
                    this.applicationMethodField = value;
                }
            }

            /// <remarks/>
            public tSimpleDoc act
            {
                get
                {
                    return this.actField;
                }
                set
                {
                    this.actField = value;
                }
            }

            /// <remarks/>
            public string assignmentRightUuid
            {
                get
                {
                    return this.assignmentRightUuidField;
                }
                set
                {
                    this.assignmentRightUuidField = value;
                }
            }

            /// <remarks/>
            public string assignmentRightProviderCode
            {
                get
                {
                    return this.assignmentRightProviderCodeField;
                }
                set
                {
                    this.assignmentRightProviderCodeField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime lastChanging
            {
                get
                {
                    return this.lastChangingField;
                }
                set
                {
                    this.lastChangingField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/childneedhouse-right/1.0.1")]
        public partial class tDoc
        {

            private string docNameField;

            private string docNumberField;

            private System.DateTime docDateField;

            private bool docDateFieldSpecified;

            /// <remarks/>
            public string docName
            {
                get
                {
                    return this.docNameField;
                }
                set
                {
                    this.docNameField = value;
                }
            }

            /// <remarks/>
            public string docNumber
            {
                get
                {
                    return this.docNumberField;
                }
                set
                {
                    this.docNumberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime docDate
            {
                get
                {
                    return this.docDateField;
                }
                set
                {
                    this.docDateField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlIgnoreAttribute()]
            public bool docDateSpecified
            {
                get
                {
                    return this.docDateFieldSpecified;
                }
                set
                {
                    this.docDateFieldSpecified = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.6")]
        [System.Xml.Serialization.XmlRootAttribute("PassportRF", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
        public partial class PassportRFType
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.6")]
        [System.Xml.Serialization.XmlRootAttribute("ForeignPassport", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
        public partial class NotRestrictedDocumentType
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.6")]
        [System.Xml.Serialization.XmlRootAttribute("ResidencePermitRF", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
        public partial class InternationalPassportRFType
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.6")]
        [System.Xml.Serialization.XmlRootAttribute("MilitaryPassport", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
        public partial class MilitaryPassportDocumentType
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.6")]
        [System.Xml.Serialization.XmlRootAttribute("BirthCertificate", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
        public partial class SovietPassportType
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("AttachmentRef", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class AttachmentRefType
        {

            private string attachmentIdField;

            /// <remarks/>
            [System.Xml.Serialization.XmlAttributeAttribute()]
            public string attachmentId
            {
                get
                {
                    return this.attachmentIdField;
                }
                set
                {
                    this.attachmentIdField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("PrimaryIdentityDocument", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class PrimaryIdentityDocumentType
        {

            private object itemField;

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute("ForeignPassport", typeof(NotRestrictedDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("PassportRF", typeof(PassportRFType1))]
            [System.Xml.Serialization.XmlElementAttribute("ResidencePermitRF", typeof(InternationalPassportRFType1))]
            public object Item
            {
                get
                {
                    return this.itemField;
                }
                set
                {
                    this.itemField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(TypeName = "NotRestrictedDocumentType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("ForeignPassport", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class NotRestrictedDocumentType1
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(TypeName = "PassportRFType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("PassportRF", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class PassportRFType1
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(TypeName = "InternationalPassportRFType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("ResidencePermitRF", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class InternationalPassportRFType1
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("IdentityDocument", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class AnyIdentityDocumentType
        {

            private object itemField;

            private ItemChoiceType itemElementNameField;

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute("BirthCertificate", typeof(SovietPassportType1))]
            [System.Xml.Serialization.XmlElementAttribute("DrivingLicenseRF", typeof(DrivingLicenseRFType))]
            [System.Xml.Serialization.XmlElementAttribute("ForeignPassport", typeof(NotRestrictedDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("Form9Certificate", typeof(NotRestrictedDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("InternationalPassportRF", typeof(InternationalPassportRFType1))]
            [System.Xml.Serialization.XmlElementAttribute("MilitaryPassport", typeof(MilitaryPassportDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("PassportLossCertificate", typeof(NotRestrictedDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("PassportRF", typeof(PassportRFType1))]
            [System.Xml.Serialization.XmlElementAttribute("ReleaseCertificate", typeof(NotRestrictedDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("ResidencePermitRF", typeof(InternationalPassportRFType1))]
            [System.Xml.Serialization.XmlElementAttribute("SailorPassport", typeof(MilitaryPassportDocumentType1))]
            [System.Xml.Serialization.XmlElementAttribute("SovietPassport", typeof(SovietPassportType1))]
            [System.Xml.Serialization.XmlElementAttribute("TemporaryIdentityCardRF", typeof(NotRestrictedDocumentType1))]
            [System.Xml.Serialization.XmlChoiceIdentifierAttribute("ItemElementName")]
            public object Item
            {
                get
                {
                    return this.itemField;
                }
                set
                {
                    this.itemField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlIgnoreAttribute()]
            public ItemChoiceType ItemElementName
            {
                get
                {
                    return this.itemElementNameField;
                }
                set
                {
                    this.itemElementNameField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(TypeName = "SovietPassportType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("SovietPassport", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class SovietPassportType1
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("DrivingLicenseRF", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class DrivingLicenseRFType
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Diagnostics.DebuggerStepThroughAttribute()]
        [System.ComponentModel.DesignerCategoryAttribute("code")]
        [System.Xml.Serialization.XmlTypeAttribute(TypeName = "MilitaryPassportDocumentType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        [System.Xml.Serialization.XmlRootAttribute("MilitaryPassport", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
        public partial class MilitaryPassportDocumentType1
        {

            private string seriesField;

            private string numberField;

            private System.DateTime issueDateField;

            private string issuerField;

            /// <remarks/>
            public string Series
            {
                get
                {
                    return this.seriesField;
                }
                set
                {
                    this.seriesField = value;
                }
            }

            /// <remarks/>
            public string Number
            {
                get
                {
                    return this.numberField;
                }
                set
                {
                    this.numberField = value;
                }
            }

            /// <remarks/>
            [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
            public System.DateTime IssueDate
            {
                get
                {
                    return this.issueDateField;
                }
                set
                {
                    this.issueDateField = value;
                }
            }

            /// <remarks/>
            public string Issuer
            {
                get
                {
                    return this.issuerField;
                }
                set
                {
                    this.issuerField = value;
                }
            }
        }

        /// <remarks/>
        [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
        [System.SerializableAttribute()]
        [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IncludeInSchema = false)]
        public enum ItemChoiceType
        {

            /// <remarks/>
            BirthCertificate,

            /// <remarks/>
            DrivingLicenseRF,

            /// <remarks/>
            ForeignPassport,

            /// <remarks/>
            Form9Certificate,

            /// <remarks/>
            InternationalPassportRF,

            /// <remarks/>
            MilitaryPassport,

            /// <remarks/>
            PassportLossCertificate,

            /// <remarks/>
            PassportRF,

            /// <remarks/>
            ReleaseCertificate,

            /// <remarks/>
            ResidencePermitRF,

            /// <remarks/>
            SailorPassport,

            /// <remarks/>
            SovietPassport,

            /// <remarks/>
            TemporaryIdentityCardRF,
        }
    }
}